Debian Bug report logs - #670109
texlive-xetex: removal of texlive-xetex makes files disappear from texlive-math-extra

version graph

Package: texlive-xetex; Maintainer for texlive-xetex is Debian TeX Maintainers <debian-tex-maint@lists.debian.org>; Source for texlive-xetex is src:texlive-base.

Reported by: Andreas Beckmann <debian@abeckmann.de>

Date: Sun, 22 Apr 2012 23:36:01 UTC

Severity: serious

Found in version texlive-base/2011.20120410-1

Fixed in version texlive-base/2011.20120424-1

Done: Norbert Preining <preining@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#670109; Package texlive-xetex. (Sun, 22 Apr 2012 23:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
New Bug report received and forwarded. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Sun, 22 Apr 2012 23:36:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: texlive-xetex: removal of texlive-xetex makes files disappear from texlive-math-extra
Date: Mon, 23 Apr 2012 01:32:28 +0200
[Message part 1 (text/plain, inline)]
Package: texlive-xetex
Version: 2011.20120410-1
Severity: serious
User: debian-qa@lists.debian.org
Usertags: piuparts replaces-without-breaks

Hi,

during a test with piuparts and EDOS tools I noticed your package causes
removal of files that also belong to another package.
This is caused by using Replaces without corresponding Breaks.

The installation sequence to reproduce this problem is

  apt-get install texlive-math-extra
  # (1)
  apt-get install texlive-xetex
  apt-get remove texlive-xetex
  # (2)

The list of installed files at points (1) and (2) should be identical,
but the following files have disappeared:

  /usr/share/doc/texlive-doc/latex/realscripts/README
  /usr/share/doc/texlive-doc/latex/realscripts/realscripts.pdf
  /usr/share/texlive/texmf-dist/tex/latex/realscripts/realscripts.sty

This is a serious bug violating policy 7.6, see
http://www.debian.org/doc/debian-policy/ch-relationships.html#s-replaces
and also see the footnote that describes this incorrect behavior
http://www.debian.org/doc/debian-policy/footnotes.html#f53

The texlive-xetex package has the following relationships with texlive-math-extra:

  Conflicts: n/a
  Breaks:    n/a
  Replaces:  texlive-math-extra (<= 2011.20120322-1)

>From the attached log (scroll to the bottom...):

1m46.5s INFO: Warning: Package purging left files on system:
  /var/lib/texmf/web2c/xetex/    not owned

1m46.5s ERROR: FAIL: After purging files have disappeared:
  /usr/share/doc/texlive-doc/latex/realscripts/README    owned by: texlive-xetex
  /usr/share/doc/texlive-doc/latex/realscripts/realscripts.pdf   owned by: texlive-xetex
  /usr/share/texlive/texmf-dist/tex/latex/realscripts/realscripts.sty    owned by: texlive-xetex

1m46.5s ERROR: FAIL: After purging files have been modified:
  /var/lib/dpkg/info/texlive-math-extra.list     not owned
  /var/lib/texmf/ls-R    not owned
  /var/lib/texmf/ls-R-TEXLIVEDIST        not owned
  /var/lib/texmf/web2c/fmtutil.cnf       not owned

The modified files are a consequence of the disappeared ones.

cheers,

Andreas
[texlive-math-extra=2011.20120322-1_texlive-xetex=2011.20120410-1.log.gz (application/x-gzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#670109; Package texlive-xetex. (Sun, 22 Apr 2012 23:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Sun, 22 Apr 2012 23:51:03 GMT) Full text and rfc822 format available.

Message #10 received at 670109@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Andreas Beckmann <debian@abeckmann.de>, 670109@bugs.debian.org
Subject: Re: Bug#670109: texlive-xetex: removal of texlive-xetex makes files disappear from texlive-math-extra
Date: Mon, 23 Apr 2012 08:49:11 +0900
Hi Andreas,

Alas, there we go again ... funny games on Debian again.

Will upload enjoyable pacakges sooner or later.
Now I just don't want to care for these peculiarities.

<rant on>
You know what, I am planning to merge ALL the texlive packages
into *ONE* source package of 2.6 Gb, and then ignore all bugs
about size etc. And in addition it will be all arch-dep so that
duplicates the 2.6G for each and every arch, because keeping
these kind of things in tune for 2.6G packages is sisyphus work.

That will make packaging TL much more fun and easy, no breaking
of package, no upgrade path problems, uaaahhh how nice!!!

And there will be also *ONE* binary package, called
	texlive
that will install each and everything in one go -- buildds be happy.
Embedded ones be happy. Everyone be happy.
<rant off>

Good night and good luck.

Best wishes

Norbert
------------------------------------------------------------------------
Norbert Preining            preining@{jaist.ac.jp, logic.at, debian.org}
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------
`She hit me on the head with the rock again.'
`I think I can confirm that that was my daughter.'
`Sweet kid.'
`You have to get to know her,' said Arthur.
`She eases up does she?'
but you get a better sense of when to
duck.'
                 --- Ford and Arthur on Random.
                 --- Douglas Adams, The Hitchhikers Guide to the Galaxy




Added indication that 670109 affects texlive-math-extra Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Mon, 23 Apr 2012 01:45:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#670109; Package texlive-xetex. (Mon, 23 Apr 2012 21:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Mon, 23 Apr 2012 21:45:04 GMT) Full text and rfc822 format available.

Message #17 received at 670109@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Norbert Preining <preining@logic.at>, 670109@bugs.debian.org
Cc: Andreas Beckmann <debian@abeckmann.de>
Subject: Re: Bug#670109: texlive-xetex: removal of texlive-xetex makes files disappear from texlive-math-extra
Date: Mon, 23 Apr 2012 23:43:31 +0200
[Message part 1 (text/plain, inline)]
Dear Norbert!

Norbert Preining <preining@logic.at> (23/04/2012):
> Will upload enjoyable pacakges sooner or later.
> Now I just don't want to care for these peculiarities.
> 
> <rant on>
> You know what, I am planning to merge ALL the texlive packages
> into *ONE* source package of 2.6 Gb, and then ignore all bugs
> about size etc. And in addition it will be all arch-dep so that
> duplicates the 2.6G for each and every arch, because keeping
> these kind of things in tune for 2.6G packages is sisyphus work.
> 
> That will make packaging TL much more fun and easy, no breaking
> of package, no upgrade path problems, uaaahhh how nice!!!
> 
> And there will be also *ONE* binary package, called
> 	texlive
> that will install each and everything in one go -- buildds be happy.
> Embedded ones be happy. Everyone be happy.
> <rant off>

Please stop behaving as a jerk on every bug report you get, thanks.

> Good night and good luck.

Yeah, everyone needs that.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#670109; Package texlive-xetex. (Mon, 23 Apr 2012 22:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Mon, 23 Apr 2012 22:24:03 GMT) Full text and rfc822 format available.

Message #22 received at 670109@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Cyril Brulebois <kibi@debian.org>
Cc: 670109@bugs.debian.org, Andreas Beckmann <debian@abeckmann.de>
Subject: Re: Bug#670109: texlive-xetex: removal of texlive-xetex makes files disappear from texlive-math-extra
Date: Tue, 24 Apr 2012 07:21:40 +0900
Hi Cyril,

On Mo, 23 Apr 2012, Cyril Brulebois wrote:
> Please stop behaving as a jerk on every bug report you get, thanks.

Who are you to tell me how to behave? My father? My mentor? My teacher?

Would you please be a fucking bit more careful what rubbish you are
talking: Look at bugs:
	635382, 666569, 668510, 668762, 669056, 669389, ....
and then tell me that I behave on *every*bug*report*I*get* as a jerk?
I want Debian users to get a decent TeX system, I fix real problems,
and bureaucracy bugs are just a PITA.

I think the jerk is you, not me. 

Norbert

PS: Just that you know, I already have prepared packages for that 
useless bug. You know how long *ONE* time preparation of texlive
packages takes? Around 8 hours including the automated tests.
And than there are iterations.
------------------------------------------------------------------------
Norbert Preining            preining@{jaist.ac.jp, logic.at, debian.org}
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------
GOOSNARGH (n.)
Something left over from preparing or eating a meal, which you store
in the fridge despite the fact that you know full well you will never
ever use it.
			--- Douglas Adams, The Meaning of Liff




Reply sent to Norbert Preining <preining@debian.org>:
You have taken responsibility. (Wed, 25 Apr 2012 01:09:04 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <debian@abeckmann.de>:
Bug acknowledged by developer. (Wed, 25 Apr 2012 01:09:04 GMT) Full text and rfc822 format available.

Message #27 received at 670109-close@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@debian.org>
To: 670109-close@bugs.debian.org
Subject: Bug#670109: fixed in texlive-base 2011.20120424-1
Date: Wed, 25 Apr 2012 01:05:43 +0000
Source: texlive-base
Source-Version: 2011.20120424-1

We believe that the bug you reported is fixed in the latest version of
texlive-base, which is due to be installed in the Debian FTP archive:

texlive-base_2011.20120424-1.debian.tar.gz
  to main/t/texlive-base/texlive-base_2011.20120424-1.debian.tar.gz
texlive-base_2011.20120424-1.dsc
  to main/t/texlive-base/texlive-base_2011.20120424-1.dsc
texlive-base_2011.20120424-1_all.deb
  to main/t/texlive-base/texlive-base_2011.20120424-1_all.deb
texlive-base_2011.20120424.orig.tar.gz
  to main/t/texlive-base/texlive-base_2011.20120424.orig.tar.gz
texlive-common_2011.20120424-1_all.deb
  to main/t/texlive-base/texlive-common_2011.20120424-1_all.deb
texlive-fonts-recommended-doc_2011.20120424-1_all.deb
  to main/t/texlive-base/texlive-fonts-recommended-doc_2011.20120424-1_all.deb
texlive-fonts-recommended_2011.20120424-1_all.deb
  to main/t/texlive-base/texlive-fonts-recommended_2011.20120424-1_all.deb
texlive-full_2011.20120424-1_all.deb
  to main/t/texlive-base/texlive-full_2011.20120424-1_all.deb
texlive-generic-recommended_2011.20120424-1_all.deb
  to main/t/texlive-base/texlive-generic-recommended_2011.20120424-1_all.deb
texlive-latex-base-doc_2011.20120424-1_all.deb
  to main/t/texlive-base/texlive-latex-base-doc_2011.20120424-1_all.deb
texlive-latex-base_2011.20120424-1_all.deb
  to main/t/texlive-base/texlive-latex-base_2011.20120424-1_all.deb
texlive-latex-recommended-doc_2011.20120424-1_all.deb
  to main/t/texlive-base/texlive-latex-recommended-doc_2011.20120424-1_all.deb
texlive-latex-recommended_2011.20120424-1_all.deb
  to main/t/texlive-base/texlive-latex-recommended_2011.20120424-1_all.deb
texlive-luatex_2011.20120424-1_all.deb
  to main/t/texlive-base/texlive-luatex_2011.20120424-1_all.deb
texlive-metapost-doc_2011.20120424-1_all.deb
  to main/t/texlive-base/texlive-metapost-doc_2011.20120424-1_all.deb
texlive-metapost_2011.20120424-1_all.deb
  to main/t/texlive-base/texlive-metapost_2011.20120424-1_all.deb
texlive-omega_2011.20120424-1_all.deb
  to main/t/texlive-base/texlive-omega_2011.20120424-1_all.deb
texlive-pictures-doc_2011.20120424-1_all.deb
  to main/t/texlive-base/texlive-pictures-doc_2011.20120424-1_all.deb
texlive-pictures_2011.20120424-1_all.deb
  to main/t/texlive-base/texlive-pictures_2011.20120424-1_all.deb
texlive-xetex_2011.20120424-1_all.deb
  to main/t/texlive-base/texlive-xetex_2011.20120424-1_all.deb
texlive_2011.20120424-1_all.deb
  to main/t/texlive-base/texlive_2011.20120424-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 670109@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Norbert Preining <preining@debian.org> (supplier of updated texlive-base package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 24 Apr 2012 14:31:49 +0900
Source: texlive-base
Binary: texlive-base texlive-generic-recommended texlive-latex-base texlive-latex-recommended texlive-fonts-recommended texlive-pictures texlive-luatex texlive-metapost texlive-omega texlive-xetex texlive texlive-full texlive-common texlive-fonts-recommended-doc texlive-latex-base-doc texlive-latex-recommended-doc texlive-metapost-doc texlive-pictures-doc
Architecture: source all
Version: 2011.20120424-1
Distribution: unstable
Urgency: low
Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
Changed-By: Norbert Preining <preining@debian.org>
Description: 
 texlive    - TeX Live: A decent selection of the TeX Live packages
 texlive-base - TeX Live: Essential programs and files
 texlive-common - TeX Live: Base component
 texlive-fonts-recommended - TeX Live: Recommended fonts
 texlive-fonts-recommended-doc - TeX Live: Documentation files for texlive-fonts-recommended
 texlive-full - TeX Live: metapackage pulling in all components of TeX Live
 texlive-generic-recommended - TeX Live: Recommended generic packages
 texlive-latex-base - TeX Live: Basic LaTeX packages
 texlive-latex-base-doc - TeX Live: Documentation files for texlive-latex-base
 texlive-latex-recommended - TeX Live: LaTeX recommended packages
 texlive-latex-recommended-doc - TeX Live: Documentation files for texlive-latex-recommended
 texlive-luatex - TeX Live: LuaTeX packages
 texlive-metapost - TeX Live: MetaPost (and Metafont) drawing packages
 texlive-metapost-doc - TeX Live: Documentation files for texlive-metapost
 texlive-omega - TeX Live: Omega packages
 texlive-pictures - TeX Live: Graphics packages and programs
 texlive-pictures-doc - TeX Live: Documentation files for texlive-pictures
 texlive-xetex - TeX Live: XeTeX packages
Closes: 670109
Changes: 
 texlive-base (2011.20120424-1) unstable; urgency=low
 .
   * new upstream snapshot
   * texlive-xetex: add breaks against texlive-math-extra (Closes: #670109)
   * update po-debconf stuff
Checksums-Sha1: 
 68cef660c78ff65efe2f5df9eb4f48d943d6279b 2348 texlive-base_2011.20120424-1.dsc
 eb11abf5874bfd694180a67f07eef779d198ba05 230411712 texlive-base_2011.20120424.orig.tar.gz
 c55f2668dfc06fc1dae69a4ffe89ce27bfd940a8 233683 texlive-base_2011.20120424-1.debian.tar.gz
 7354f034cc3ef5fc299de7cdfb0479db39b4100b 18667744 texlive-base_2011.20120424-1_all.deb
 8114e57ede57f2c8d5b36683217ded1d6aab8a68 2594580 texlive-generic-recommended_2011.20120424-1_all.deb
 77bdf211f70b7cdd8c8f972f855659803791a8d9 1424730 texlive-latex-base_2011.20120424-1_all.deb
 19d8309cc5c2f75a3262d286e25d3d124e5b2acf 7570004 texlive-latex-recommended_2011.20120424-1_all.deb
 ac6ca4ee643757682b09b1eb5a909a2af7a7a6ce 7117672 texlive-fonts-recommended_2011.20120424-1_all.deb
 deb2bba5b6b93f6fa5bb1c47eba478e46f6c9434 2737772 texlive-pictures_2011.20120424-1_all.deb
 2fde03a644fef850f88ed16098b69d4d1916e5d4 6822906 texlive-luatex_2011.20120424-1_all.deb
 6968f634f0267bed880bb7e239a887573cfb7ee0 536270 texlive-metapost_2011.20120424-1_all.deb
 1b72eef1c0701a044e9477a91d895c3c6640b15e 2251410 texlive-omega_2011.20120424-1_all.deb
 0c02864de2d5c8d751f35e70b3ef726c9bde39d6 6736296 texlive-xetex_2011.20120424-1_all.deb
 91601b1c29daa32f5ecf676dced42c50df94dca6 37966 texlive_2011.20120424-1_all.deb
 52cf07bcc2ee9c85fb430a3b86af858b7278898c 38380 texlive-full_2011.20120424-1_all.deb
 8f60ebd6f449798c934c258500261f97ee8d882b 225836 texlive-common_2011.20120424-1_all.deb
 3cdc2f450e40396b31d55e61855c33220071516a 2788876 texlive-fonts-recommended-doc_2011.20120424-1_all.deb
 e74deeff9a7ebe31c35a14ef04c5f7e57a9888f4 55227426 texlive-latex-base-doc_2011.20120424-1_all.deb
 d7c4157026d2df92dd63fb9643a624059c1310f4 37484712 texlive-latex-recommended-doc_2011.20120424-1_all.deb
 1d76b16e8e167ad148f88c5503b9c9a71705678a 24796272 texlive-metapost-doc_2011.20120424-1_all.deb
 863403a7d03ffc224ed71065a5f8b8b57abb401e 43554322 texlive-pictures-doc_2011.20120424-1_all.deb
Checksums-Sha256: 
 a4502c1dc835bc8b6684a6134b0c5c003143161a2a60b5103e91be009a0c0b64 2348 texlive-base_2011.20120424-1.dsc
 4fc9dfdd2e2aed3ec07c057b556f6b6e17e738df6c854a1336baa652a86932e7 230411712 texlive-base_2011.20120424.orig.tar.gz
 fe39eb66461011e16d41dc80364d4aab8495c8c2423c2ed7d07eb71675d5ca45 233683 texlive-base_2011.20120424-1.debian.tar.gz
 4b63eb79afcada094dde32f39a2d85a6e031ecda8f6fcfa7124fbbe7cf9458c9 18667744 texlive-base_2011.20120424-1_all.deb
 a37ee7d5dd48a266a80064f13caf984a6ce2e0538dff26d0312397d4aabff54f 2594580 texlive-generic-recommended_2011.20120424-1_all.deb
 ed569a6c8ebd3e438720a61c45bfe4189ad6bbdd148e5eb6ecd875002076fe2a 1424730 texlive-latex-base_2011.20120424-1_all.deb
 213d78426cbc7a77b6429811815465b25563f7a275274a473af5e8f8b58523e7 7570004 texlive-latex-recommended_2011.20120424-1_all.deb
 9afd79b81510c05813b8b4fe95e903a3e3a19b929d67d4b140f0c6cd1a1126b7 7117672 texlive-fonts-recommended_2011.20120424-1_all.deb
 639bc56300a9a8ddf766817002614c6126212667649498e7373eed3c6f36c27a 2737772 texlive-pictures_2011.20120424-1_all.deb
 b6dff37622661fae65e1dd1949dfe3dd2d9f4d2cabc4ffa32b24523cc7b05915 6822906 texlive-luatex_2011.20120424-1_all.deb
 41904029e4828c97bf4675519b732ae7e4189faa0fdcec309f7705d8a65c6c99 536270 texlive-metapost_2011.20120424-1_all.deb
 f964318349246ab7a2c56cbc3c1ad7afc4b8f9851a1d4f34bcba179cee641e38 2251410 texlive-omega_2011.20120424-1_all.deb
 85f04d2c638a4f997abb8ec8dd4b9d9f226c3311c1fb818984407626171dd1e7 6736296 texlive-xetex_2011.20120424-1_all.deb
 19058d6c91393f9354792fb590b90295f8329b8da987c3e7648b676475deaf10 37966 texlive_2011.20120424-1_all.deb
 205e848f63aec99748a667a5dc7d6b91b5e64d802bd5d7a717f51b5e8cce6e59 38380 texlive-full_2011.20120424-1_all.deb
 c4968b15d33d3b77c60a41b50e07a6fe7ae90760e339afb94b8e7a63a3aa4015 225836 texlive-common_2011.20120424-1_all.deb
 05b7a3f32e8dbeb2dc556aff836a14ac8e7911efe0ff81a98f10f3457d334cfe 2788876 texlive-fonts-recommended-doc_2011.20120424-1_all.deb
 0ae0c0d06d17e31d8ddd1b419b257cd0cd7ca9e3f0ca6f8d437f3fcad0f2b93f 55227426 texlive-latex-base-doc_2011.20120424-1_all.deb
 6d14418209b911b5fe22056b2c0d2a7a6701ce08cbf0ef27a2dce35a1299df9b 37484712 texlive-latex-recommended-doc_2011.20120424-1_all.deb
 f527c47593e4c006647dffd15dc0228dbdeff6533eca3eb8c2bfcf9d6fe93a13 24796272 texlive-metapost-doc_2011.20120424-1_all.deb
 9fcd48d3f73e042e5e61e0897d4e66d7149dba7a3132c7189d917a91880f9dd3 43554322 texlive-pictures-doc_2011.20120424-1_all.deb
Files: 
 b8657346004b1338a6b0195272bf6ba0 2348 tex optional texlive-base_2011.20120424-1.dsc
 006d46416fa89816b79977fba55ed9b3 230411712 tex optional texlive-base_2011.20120424.orig.tar.gz
 b057cbdc9badedfb89f14a4d3e914c3b 233683 tex optional texlive-base_2011.20120424-1.debian.tar.gz
 27e0719c9b6e739e994ceec445d69cd7 18667744 tex optional texlive-base_2011.20120424-1_all.deb
 d07ab6f9ddc40bfb4c0d1c6be573d069 2594580 tex optional texlive-generic-recommended_2011.20120424-1_all.deb
 c9db1c3597efa7da8230bedc60fa3618 1424730 tex optional texlive-latex-base_2011.20120424-1_all.deb
 56dfa3e9bdfc222177e12eec532cbcac 7570004 tex optional texlive-latex-recommended_2011.20120424-1_all.deb
 805a4b2ce3336b0f29193f2f9717f850 7117672 fonts optional texlive-fonts-recommended_2011.20120424-1_all.deb
 4f98a730ebaf4f9852faa7f45ae5a471 2737772 tex optional texlive-pictures_2011.20120424-1_all.deb
 9fd90d6902978b9aba9eea1936931923 6822906 tex optional texlive-luatex_2011.20120424-1_all.deb
 91bdca78e859064eeef01711d1d58b09 536270 tex optional texlive-metapost_2011.20120424-1_all.deb
 bf0217a8d0f1af4daf5ab2cb743ba3e5 2251410 tex optional texlive-omega_2011.20120424-1_all.deb
 ec59745fb4ca123ad4d0e04116cd8436 6736296 tex optional texlive-xetex_2011.20120424-1_all.deb
 1ccfb8c38b306955d1842eefbe5b3094 37966 tex optional texlive_2011.20120424-1_all.deb
 e70d0159d26832c1a6daa22ae0ee0d04 38380 tex optional texlive-full_2011.20120424-1_all.deb
 cc735660fc42838ed8e98bd58d63b309 225836 tex optional texlive-common_2011.20120424-1_all.deb
 76a9ae63d949aabd49b8bab4da2fb63a 2788876 doc optional texlive-fonts-recommended-doc_2011.20120424-1_all.deb
 f0aca790c3602d08036327884a1c288b 55227426 doc optional texlive-latex-base-doc_2011.20120424-1_all.deb
 a40e7159e64d182f8c9c7093f6d18a73 37484712 doc optional texlive-latex-recommended-doc_2011.20120424-1_all.deb
 cdbe606781b534635e55e4898244c344 24796272 doc optional texlive-metapost-doc_2011.20120424-1_all.deb
 eb325bd81c6c1bd1eac424650a488a7a 43554322 doc optional texlive-pictures-doc_2011.20120424-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFPlyc+0r9KownFsJQRAuPPAJ9w+3tDkxWMghEQQGFAKALI8QsgnQCfU/Ja
EPd49a6k7cnSStf4c3pf8/M=
=R8l0
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#670109; Package texlive-xetex. (Sat, 28 Apr 2012 19:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Sat, 28 Apr 2012 19:57:03 GMT) Full text and rfc822 format available.

Message #32 received at 670109@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: Norbert Preining <preining@logic.at>
Cc: 670109@bugs.debian.org, Cyril Brulebois <kibi@debian.org>, Andreas Beckmann <debian@abeckmann.de>
Subject: Re: Bug#670109: texlive-xetex: removal of texlive-xetex makes files disappear from texlive-math-extra
Date: Sat, 28 Apr 2012 21:57:48 +0200
Norbert Preining <preining@logic.at> wrote:

> Hi Cyril,
>
> On Mo, 23 Apr 2012, Cyril Brulebois wrote:
>> Please stop behaving as a jerk on every bug report you get, thanks.
>
> PS: Just that you know, I already have prepared packages for that 
> useless bug. 

Which he already announced in the inital mail.

Regards, Frank

-- 
Frank Küster
Sprecher B90/Grüne OV Miltenberg und Umgebung
VCD Miltenberg, ADFC Aschaffenburg-Miltenberg
Debian Developer (TeXLive)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#670109; Package texlive-xetex. (Sat, 28 Apr 2012 20:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Sat, 28 Apr 2012 20:00:02 GMT) Full text and rfc822 format available.

Message #37 received at submit@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: Andreas Beckmann <debian@abeckmann.de>
Cc: 670109@bugs.debian.org, Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#670109: texlive-xetex: removal of texlive-xetex makes files disappear from texlive-math-extra
Date: Sat, 28 Apr 2012 22:01:39 +0200
Andreas Beckmann <debian@abeckmann.de> wrote:

> Package: texlive-xetex
> Version: 2011.20120410-1
> Severity: serious
> User: debian-qa@lists.debian.org
> Usertags: piuparts replaces-without-breaks
>
> Hi,
>
> during a test with piuparts and EDOS tools I noticed your package causes
> removal of files that also belong to another package.
> This is caused by using Replaces without corresponding Breaks.

Do you do these tests on testing too?  I ask because this bugs will
prevent testing migration, but I would be surprised if such problems
aren't present in testing, too.  So this means that not migrating
doesn't make testing any better...

Regards, Frank
-- 
Frank Küster
Sprecher B90/Grüne OV Miltenberg und Umgebung
VCD Miltenberg, ADFC Aschaffenburg-Miltenberg
Debian Developer (TeXLive)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#670109; Package texlive-xetex. (Sat, 28 Apr 2012 20:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Sat, 28 Apr 2012 20:00:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 27 May 2012 07:34:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 23:16:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.